Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpNodeStuff Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpNodeStuff:
[legend]

## Public Member Functions
Constructors, destructor
| ClpNodeStuff ()
| Default constructor. More...
virtual | ~ClpNodeStuff ()
| Destructor. More...
Copy methods (only copies ints etc, nulls arrays)
| ClpNodeStuff (const ClpNodeStuff &)
| The copy constructor. More...
ClpNodeStuff & | operator= (const ClpNodeStuff &)
| Operator =. More...
void | zap (int type)
| Zaps stuff 1 - arrays, 2 ints, 3 both. More...
Fill methods
void | fillPseudoCosts (const double *down, const double *up, const int *priority, const int *numberDown, const int *numberUp, const int *numberDownInfeasible, const int *numberUpInfeasible, int number)
| Fill with pseudocosts. More...
void | update (int way, int sequence, double change, bool feasible)
| Update pseudo costs. More...
int | maximumNodes () const
| Return maximum number of nodes. More...
int | maximumSpace () const
| Return maximum space for nodes. More...

## Public Attributes
Data
double | integerTolerance_
| Integer tolerance. More...
double | integerIncrement_
| Integer increment. More...
double | smallChange_
| Small change in branch. More...
double * | downPseudo_
| Down pseudo costs. More...
double * | upPseudo_
| Up pseudo costs. More...
int * | priority_
| Priority. More...
int * | numberDown_
| Number of times down. More...
int * | numberUp_
| Number of times up. More...
int * | numberDownInfeasible_
| Number of times down infeasible. More...
int * | numberUpInfeasible_
| Number of times up infeasible. More...
double * | saveCosts_
| Copy of costs (local) More...
ClpNode ** | nodeInfo_
| Array of ClpNodes. More...
ClpSimplex * | large_
| Large model if crunched. More...
int * | whichRow_
| Which rows in large model. More...
int * | whichColumn_
| Which columns in large model. More...
CoinMessageHandler * | handler_
| Cbc's message handler. More...
int | nBound_
| Number bounds in large model. More...
int | saveOptions_
| Save of specialOptions_ (local) More...
int | solverOptions_
| Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 32 - just create up to nDepth_+1 nodes 65536 - set if activated. More...
int | maximumNodes_
| Maximum number of nodes to do. More...
int | numberBeforeTrust_
| Number before trust from CbcModel. More...
int | stateOfSearch_
| State of search from CbcModel. More...
int | nDepth_
| Number deep. More...
int | nNodes_
| Number nodes returned (-1 if fathom aborted) More...
int | numberNodesExplored_
| Number of nodes explored. More...
int | numberIterations_
| Number of iterations. More...
int | presolveType_
| Type of presolve - 0 none, 1 crunch. More...
int | startingDepth_
| Depth passed in. More...
int | nodeCalled_
| Node at which called. More...

## Detailed Description

Definition at line 188 of file ClpNode.hpp.

## Constructor & Destructor Documentation

ClpNodeStuff::ClpNodeStuff | ( |  | ) |

Default constructor.

virtual ClpNodeStuff::~ClpNodeStuff | ( |  | ) |
| virtual

Destructor.

ClpNodeStuff::ClpNodeStuff | ( | const ClpNodeStuff & |  | ) |

The copy constructor.

## Member Function Documentation

ClpNodeStuff& ClpNodeStuff::operator= | ( | const ClpNodeStuff & |  | ) |

Operator =.

void ClpNodeStuff::zap | ( | int | type | ) |

Zaps stuff 1 - arrays, 2 ints, 3 both.

void ClpNodeStuff::fillPseudoCosts | ( | const double * | down,
|  | const double * | up,
|  | const int * | priority,
|  | const int * | numberDown,
|  | const int * | numberUp,
|  | const int * | numberDownInfeasible,
|  | const int * | numberUpInfeasible,
|  | int | number
| ) |  |

Fill with pseudocosts.

void ClpNodeStuff::update | ( | int | way,
|  | int | sequence,
|  | double | change,
|  | bool | feasible
| ) |  |

Update pseudo costs.

int ClpNodeStuff::maximumNodes | ( |  | ) | const

Return maximum number of nodes.

int ClpNodeStuff::maximumSpace | ( |  | ) | const

Return maximum space for nodes.

## Member Data Documentation

double ClpNodeStuff::integerTolerance_

Integer tolerance.

Definition at line 229 of file ClpNode.hpp.

double ClpNodeStuff::integerIncrement_

Integer increment.

Definition at line 231 of file ClpNode.hpp.

double ClpNodeStuff::smallChange_

Small change in branch.

Definition at line 233 of file ClpNode.hpp.

double* ClpNodeStuff::downPseudo_

Down pseudo costs.

Definition at line 235 of file ClpNode.hpp.

double* ClpNodeStuff::upPseudo_

Up pseudo costs.

Definition at line 237 of file ClpNode.hpp.

int* ClpNodeStuff::priority_

Priority.

Definition at line 239 of file ClpNode.hpp.

int* ClpNodeStuff::numberDown_

Number of times down.

Definition at line 241 of file ClpNode.hpp.

int* ClpNodeStuff::numberUp_

Number of times up.

Definition at line 243 of file ClpNode.hpp.

int* ClpNodeStuff::numberDownInfeasible_

Number of times down infeasible.

Definition at line 245 of file ClpNode.hpp.

int* ClpNodeStuff::numberUpInfeasible_

Number of times up infeasible.

Definition at line 247 of file ClpNode.hpp.

double* ClpNodeStuff::saveCosts_

Copy of costs (local)

Definition at line 249 of file ClpNode.hpp.

ClpNode** ClpNodeStuff::nodeInfo_

Array of ClpNodes.

Definition at line 251 of file ClpNode.hpp.

ClpSimplex* ClpNodeStuff::large_

Large model if crunched.

Definition at line 253 of file ClpNode.hpp.

int* ClpNodeStuff::whichRow_

Which rows in large model.

Definition at line 255 of file ClpNode.hpp.

int* ClpNodeStuff::whichColumn_

Which columns in large model.

Definition at line 257 of file ClpNode.hpp.

CoinMessageHandler* ClpNodeStuff::handler_

Cbc's message handler.

Definition at line 260 of file ClpNode.hpp.

int ClpNodeStuff::nBound_

Number bounds in large model.

Definition at line 263 of file ClpNode.hpp.

int ClpNodeStuff::saveOptions_

Save of specialOptions_ (local)

Definition at line 265 of file ClpNode.hpp.

int ClpNodeStuff::solverOptions_

Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 32 - just create up to nDepth_+1 nodes 65536 - set if activated.

Definition at line 274 of file ClpNode.hpp.

int ClpNodeStuff::maximumNodes_

Maximum number of nodes to do.

Definition at line 276 of file ClpNode.hpp.

int ClpNodeStuff::numberBeforeTrust_

Number before trust from CbcModel.

Definition at line 278 of file ClpNode.hpp.

int ClpNodeStuff::stateOfSearch_

State of search from CbcModel.

Definition at line 280 of file ClpNode.hpp.

int ClpNodeStuff::nDepth_

Number deep.

Definition at line 282 of file ClpNode.hpp.

int ClpNodeStuff::nNodes_

Number nodes returned (-1 if fathom aborted)

Definition at line 284 of file ClpNode.hpp.

int ClpNodeStuff::numberNodesExplored_

Number of nodes explored.

Definition at line 286 of file ClpNode.hpp.

int ClpNodeStuff::numberIterations_

Number of iterations.

Definition at line 288 of file ClpNode.hpp.

int ClpNodeStuff::presolveType_

Type of presolve - 0 none, 1 crunch.

Definition at line 290 of file ClpNode.hpp.

int ClpNodeStuff::startingDepth_

Depth passed in.

Definition at line 293 of file ClpNode.hpp.

int ClpNodeStuff::nodeCalled_

Node at which called.

Definition at line 295 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Clp/src/ClpNode.hpp